Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Виртуальный пакет qtbase-abi-5-9-5  (Прочитано 832 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн eyakubovskiy

  • Автор темы
  • Участник
  • *
  • Сообщений: 131
    • Просмотр профиля
    • https://eyakubovskiy.ru
Виртуальный пакет qtbase-abi-5-9-5
« : 28 Апрель 2019, 16:23:00 »
Доброго дня.
Прошу подсказать, что можно сделать чтобы система видела виртуальный пакет qtbase-abi-5-9-5.

Ubuntu 19.04. Столкнулся с ошибкой при установке программного обеспечения от 18.04 (DDE).

Следующие пакеты имеют неудовлетворённые зависимости:
 libdde-file-manager : Зависит: qtbase-abi-5-9-5 но он не может быть установлен

По ниже приведенной ссылке от пакета Bionic написано, что qtbase-abi-5-9-5 это виртуальный пакет.
Цитировать
Пакеты, предоставляющие qtbase-abi-5-9-5
libqt5core5a
https://packages.ubuntu.com/bionic/qtbase-abi-5-9-5

Как понимаю мне нужно как-то в системе прописать, что qtbase-abi-5-9-5 это виртуальный пакет libqt5core5a. libqt5core5a у меня уже установлен в системе. Система должна увидеть при проверке зависимостей, что libqt5core5a это требуемый ей qtbase-abi-5-9-5.
Ищущий да обрящет. Имеющий уши да услышит. Зрячий да увидит. Имеющий ум да уразумеет

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2115
  • Lubuntu 16.04 LTS
    • Просмотр профиля
Re: Виртуальный пакет qtbase-abi-5-9-5
« Ответ #1 : 28 Апрель 2019, 16:53:13 »
Система должна увидеть при проверке зависимостей, что libqt5core5a это требуемый ей qtbase-abi-5-9-5.

Тогда нужно в пакете, который вы устанавливаете, который требует "qtbase-abi-5-9-5", изменить зависимость на "libqt5core5a".
То есть перед установкой пакет нужно распаковать, исправить название в файле control, запаковать пакет обратно и установить.

Оффлайн eyakubovskiy

  • Автор темы
  • Участник
  • *
  • Сообщений: 131
    • Просмотр профиля
    • https://eyakubovskiy.ru
Re: Виртуальный пакет qtbase-abi-5-9-5
« Ответ #2 : 28 Апрель 2019, 17:59:10 »
Спасибо за предложение, но немного неудобно из-за того, что ставлю нужный пакет с репозитория. Тащить вручную еще и все зависисмости этого пакета не хотелось бы.
Если не останется вариантов обязательно попробую что-то такое провернуть. Пока пытаюсь почитать информацию о виртуальных пакетах.
Ищущий да обрящет. Имеющий уши да услышит. Зрячий да увидит. Имеющий ум да уразумеет

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2115
  • Lubuntu 16.04 LTS
    • Просмотр профиля
Re: Виртуальный пакет qtbase-abi-5-9-5
« Ответ #3 : 28 Апрель 2019, 18:04:47 »
Тащить вручную еще и все зависисмости этого пакета не хотелось бы.

А это и не нужно делать. Достаточно скачать только тот пакет, который нужно исправить.
Потом его установить вручную с диска, с помощью утилиты gdebi.
При этом утилита подтянет все остальные зависимости из репозитория.

PS. Зачем Вы устанавливали Ubuntu 19, если под неё нет софта, который Вам нужен?

Оффлайн eyakubovskiy

  • Автор темы
  • Участник
  • *
  • Сообщений: 131
    • Просмотр профиля
    • https://eyakubovskiy.ru
Re: Виртуальный пакет qtbase-abi-5-9-5
« Ответ #4 : 28 Апрель 2019, 18:28:40 »
PS. Зачем Вы устанавливали Ubuntu 19, если под неё нет софта, который Вам нужен?
Ну это не критичный софт. Меня в общем-то 19.04 устраивает и я на нем как-то основательно уже сижу.
Но захотелось попробовать окружение рабочего стола DDE. Реп есть для Bionic. Я посмотрел, что преимущественно все нужные зависисмости стоят и на моей 19.04. Накатил пару пакетов от bionic вручную, но вот вылезла информация о единственно еще этом косячном пакете.
Баловство конечно это все, но для меня это в том числе опыт, понимание как можно работать с пакетами. Насколько привязка идет к релизу. Вобще, как понимаю, софт поставить можно любой - главное чтобы зависимости были удовлетворены и версионность требуемых пакетов соблюдалась. Вот это и проверяю. А то мне в соседней теме по этому DE написали, что если нет версии для 19.04 - забудь. Но я как программист чую, что если приложить немного ума то скорее всего получится запустить и на 19.04.

Большое спасибо за информацию о gdebi! Обязательно попробую и отпишусь о результате.
« Последнее редактирование: 28 Апрель 2019, 18:50:41 от eyakubovskiy »
Ищущий да обрящет. Имеющий уши да услышит. Зрячий да увидит. Имеющий ум да уразумеет

Оффлайн SergeyIT

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 5214
  • Все по палатам!
    • Просмотр профиля
Re: Виртуальный пакет qtbase-abi-5-9-5
« Ответ #5 : 28 Апрель 2019, 20:11:14 »
А то мне в соседней теме по этому DE написали, что если нет версии для 19.04 - забудь.
Если про этот ответ
https://forum.ubuntu.ru/index.php?topic=304229.msg2383484#msg2383484
То где там - "забудь"?
Я просто кликнул в вашем вопросе на ссылку, которую вы же привели... и показал в чем проблема
Извините, я все еще учусь

Оффлайн eyakubovskiy

  • Автор темы
  • Участник
  • *
  • Сообщений: 131
    • Просмотр профиля
    • https://eyakubovskiy.ru
Re: Виртуальный пакет qtbase-abi-5-9-5
« Ответ #6 : 04 Май 2019, 23:31:58 »
Спасибо, получилось установить! Распаковал, скорректировал control, установил через gdebi. Все как сказали.  :)
Ищущий да обрящет. Имеющий уши да услышит. Зрячий да увидит. Имеющий ум да уразумеет

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2115
  • Lubuntu 16.04 LTS
    • Просмотр профиля
Re: Виртуальный пакет qtbase-abi-5-9-5
« Ответ #7 : 05 Май 2019, 09:59:18 »
Поздравляю. Главное быстро. Всего семь дней понадобилось :)

Оффлайн eyakubovskiy

  • Автор темы
  • Участник
  • *
  • Сообщений: 131
    • Просмотр профиля
    • https://eyakubovskiy.ru
Re: Виртуальный пакет qtbase-abi-5-9-5
« Ответ #8 : 05 Май 2019, 10:05:59 »
Не, понадобилось меньше  :). Руки недоходили отписаться о результатах
Ищущий да обрящет. Имеющий уши да услышит. Зрячий да увидит. Имеющий ум да уразумеет

 

Страница сгенерирована за 0.084 секунд. Запросов: 23.